<html ng-app="Room" ng-controller="Ctrl">
	<head>
		<title>Video call - {{roomname}}</title>
		<meta charset="UTF-8"/>
		<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css"/>
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
		<link rel="stylesheet" href="/style.css"/>
		<script>
			(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
			(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
			m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
			})(window,document,'script','https://www.google-analytics.com/analytics.js','ga'); ga('create', 'UA-98700445-1', 'auto'); ga('send', 'pageview');
		</script>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
		<script src="/socket.io/socket.io.js"></script>
	    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.3.0-beta.13/angular.min.js"></script>
	    <script src="/client.js"></script>
  </head>

  <body>
		<div class="navbar navbar-inverse navbar-fixed-top">
			<ul class="nav navbar-nav">
				<li><a href="/">Home</a></li>
			</ul>
		</div>
		<div id="videos">
			<div id="videoBackground" ng-repeat="(key,value) in users">
					<video id="video-{{key}}" autoplay="true" style="" showonhover></video>
					<div id="videoControlUser" hideonleave>
						<!-- <button class="sendFile btn btn-default" ng-click="room.sendFile(key)">
							<i class="fa fa-send-o fa-2x"></i>
						</button> -->
					</div>
					<div id="videoControlMod" ng-if="room.status.mod">
					</div>
			</div>
		</div>
		<div id="panel">
			<h2>Participants</h2>
			<table class="table">
				<tbody>
					<tr>
						<td><i class="action fa fa-user" ng-class="room.status.mod ? 'text-danger' : ''"></i> {{username}}</td>
						<td></td>
						<td></td>
						<td>
							<i class="action fa" ng-class="room.status.smuted ? 'fa-microphone-slash' : 'fa-microphone'" ng-click="room.admin('smute',username)"></i></td><td><i class="action fa" ng-class="room.status.vmuted ? 'fa-eye-slash' : 'fa-eye'" ng-click="room.admin('vmute',username)"></i>
						</td>
					</tr>
					<tr ng-repeat="(key, value) in users">
						<td><i class="action fa fa-user" ng-class="value.status.mod ? 'text-danger' : ''"></i> {{key}}</td>
						<td></td>
						<td></td>
						<td></td>
						<td><i ng-if="room.status.mod" ng-click="room.admin('kick', key)" class="action fa fa-times text-danger"></i></td>
					</tr>
				</tbody>
			</table>
		</div>
		<div id="bottom">
			<div id="messageLog"><span ng-repeat="msg in messageLog">[{{msg.time}}] <b>{{msg.user}}</b>: {{msg.msg}}<br/></span></div>
			<input id="messageBox" chat-input ng-model='msg' placeholder="Type a message"></input>
			<div id="localVideoContainer">
				<video id="localVideo" autoplay="true" muted="true" ng-src="{{localVideo}}" style="{{localVideoTransform}}" showonhover>Your browser does not support HTML5 video.</video>
				<div id="localControl" hideonleave>
					<button class="videoMute btn btn-default" ng-click="room.admin('vmute',username)">
						<i class="fa fa-eye fa-2x" ng-if="!room.status.vmuted" title="stop image"></i>
						<i class="fa fa-eye-slash fa-2x" ng-if="room.status.vmuted" title="send image"></i>
					</button>
					<button class="audioMute btn btn-default" ng-click="room.admin('smute',username)">
						<i class="fa fa-microphone fa-2x" ng-if="!room.status.smuted" title="stop audio"></i>
						<i class="fa fa-microphone-slash fa-2x" ng-if="room.status.smuted" title="send audio"></i>
					</button>
				</div>
			</div>
		</div>
  </body>
</html>